package com.css.simulation.resource.server.infra.db.mysql.mapper;

import api.common.pojo.param.project.SimulationManualProjectParam;
import api.common.pojo.po.project.SimulationAutomaticSubProjectPO;
import api.common.pojo.vo.project.SimulationManualProjectVO;
import com.css.simulation.resource.server.infra.db.entity.SimulationAutomaticSubprojectEntity;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Mapper
@Repository
public interface SimulationAutomaticSubprojectMapper {
     SimulationAutomaticSubProjectPO selectById(SimulationManualProjectParam param);
     SimulationAutomaticSubProjectPO selectLastProjectId(String id);
     int addAutomaticSubProject(SimulationAutomaticSubProjectPO po);
     List<SimulationAutomaticSubProjectPO> selectProjectNowRunState(String[] ids);
     int deleteProject(String[] ids);
     List<SimulationManualProjectVO> selectList(SimulationManualProjectParam param);
     SimulationManualProjectVO selectProjectInfo(SimulationManualProjectParam param);
     int updateNowRunState(SimulationManualProjectParam param);
     String selectReportById(@Param("id") String id);
     String selectParentIdById(SimulationAutomaticSubprojectEntity build);
}
